#
# Emdros Win32 Makefile for EMdF directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) libemdf.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 


!INCLUDE ..\win32\config.mak

CPP=cl.exe
RSC=rc.exe

OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
FOREIGNDIR=..\win32\Release
# End Custom Macros

!IF "$(CFG)" == "PGSQL"
ALL : "$(OUTDIR)\libemdf.lib" "$(OUTDIR)\libpgemdf.lib"
!ELSE
ALL : "$(OUTDIR)\libemdf.lib" "$(OUTDIR)\libmyemdf.lib"
!ENDIF

CLEAN :
	-@erase "$(OUTDIR)\libemdf.lib"
	-@erase "*.pch"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I ".." /I "..\include" $(DBINCLUDE)\
 /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" \
 /Fo"$(INTDIR)\\" /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo  $(LIBFLAGS)
LIBEMDF_OBJS= \
	"$(INTDIR)\conn.obj" \
	"$(INTDIR)\emdfdb.obj" \
        "$(INTDIR)\emdf_output.obj" \
        "$(INTDIR)\emdf_value.obj" \
        "$(INTDIR)\emdf_wstring.obj" \
	"$(INTDIR)\infos.obj" \
	"$(INTDIR)\inst.obj" \
	"$(INTDIR)\inst_object.obj" \
	"$(INTDIR)\logging.obj" \
	"$(INTDIR)\monads.obj" \
	"$(INTDIR)\string_func.obj" \
	"$(INTDIR)\table.obj" \
	"$(INTDIR)\utils.obj" 


LIBPGEMDF_OBJS= \
	"$(INTDIR)\pgconn.obj" \
	"$(INTDIR)\pgemdfdb.obj" 

LIBMYEMDF_OBJS= \
	"$(INTDIR)\mysqlconn.obj" \
	"$(INTDIR)\mysqlemdfdb.obj" 






"$(OUTDIR)\libemdf.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIBEMDF_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /out:"$(OUTDIR)\libemdf.lib" $(DEF_FLAGS) $(LIBEMDF_OBJS)
<<

"$(OUTDIR)\libpgemdf.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIBPGEMDF_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /out:"$(OUTDIR)\libpgemdf.lib" $(DEF_FLAGS) $(LIBPGEMDF_OBJS)
<<

"$(OUTDIR)\libmyemdf.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIBMYEMDF_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /out:"$(OUTDIR)\libmyemdf.lib" $(DEF_FLAGS) $(LIBMYEMDF_OBJS)
<<

    


.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
