/*
 * mql_statement.cpp
 *
 * MQL CStatement
 *
 * Ulrik Petersen
 * Created: 4/1-2001 (April 1st, 2001)
 * Last update: 6/21-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#include <mql_types.h>
#include <mql_execution_environment.h>

////////////////////////////////////////////////////////////
//
// CStatement
//
// Base class for all statements
//
////////////////////////////////////////////////////////////

CStatement::CStatement(CMQL_execution_environment *pEE) 
  : m_bDeleteResult(true), m_result(0), m_pEE(pEE)
{
}

CStatement::~CStatement() 
{ 
  if (m_bDeleteResult)
    delete m_result; 
}

// Used by other methods to take over result
void CStatement::set_delete_result(bool bDoDelete)
{
  m_bDeleteResult = bDoDelete;
}


void CStatement::Weed(bool& bResult) 
{ 
  bResult = true; 
  return; 
}

bool CStatement::Symbol(bool& bResult) 
{ 
  bResult = true; 
  return true; 
}
bool CStatement::Type(bool& bResult) 
{ 
  bResult = true; 
  return true; 
}

bool CStatement::Monads(bool& bResult) 
{ 
  bResult = true; 
  return true; 
}

bool CStatement::Exec() 
{ 
  return true; 
}

CMQLResult* CStatement::get_result() 
{ 
  return m_result; 
}
