/*
 * mql_utility.cpp
 *
 * MQL utility functions
 *
 * Ulrik Petersen
 * Created: 3/16-2001
 * Last update: 3/26-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#include <mql_sheaf.h>
#include <mql_utility.h>


void Restrict(const CSet_of_monad_ms& SOM, monad_m monad, CSet_of_monad_ms& result)
{
  result = SOM;
  monad_m SOM_first = SOM.first();
  monad_m mm1 = monad-1;
  if (SOM_first <= mm1) { 
    CSet_of_monad_ms minus(SOM_first, mm1);
    result.difference(minus);
  }
}

void Join(CStraw* pStraw, CList_of_straws* pLS)
{
  pLS->Join(pStraw);
}

/*
 * This has been obsoleted.  See mql_R.cpp for what its replacement is.
 */
/*
void Hat(const CSet_of_monad_ms& O, CSet_of_monad_ms& out)
{
  out.add(O.first(), O.last());
}
*/

