/* SWIG interface library for conversion of Emdros types to Perl
 * By Chris Wilson <emdros@qwirx.com> December 2002
 *
 * Based on examples from the SWIG documentation version 1.3
 * and the SWIG mailing list.
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2002-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/

/** std::string as an input argument : **/

%typemap(in) std::string {
        if(SvPOK($input))
        {
           unsigned int na;
           $1.assign(SvPV($input,na));
        }
        else
        {
           croak("error - not a string input");
        }
}

/** std::string& as an input argument : **/

%typemap(perl5,in) std::string& {
        if(SvPOK($input))
        {
           unsigned int na;
           $1 = new std::string(SvPV($input,na));
        }
        else
        {
           croak("error - not a string input");
        }
}

/** std::string* as an output argument : **/
/* http://mailman.cs.uchicago.edu/pipermail/swig/2000-October/001921.html */

%typemap(perl5,out) std::string* {
    $result = sv_newmortal();
    sv_setpvn($result, ($1)->data(), ($1)->size());
    argvi++;
}

/*
%typemap(perl5,ret) std::string* {
    delete $1;
}
*/

/* Using the typemap for long * provided by SWIG:
 * see http://www.swig.org/Doc1.3/Arguments.html,
 * and http://www.swig.org/Doc1.3/Typemaps.html.
 */

// for typedef long monad_m:
%include "../../include/emdf.h"

%include "typemaps.i"
%apply long &INOUT { long & };
%apply bool &INOUT { bool & };

/* This assumes that all "long &" parameters are INOUT,
 * which seems safe, if somewhat inefficient.
 */
