/*
 * plemdros.i: Perl bindings for Emdros using SWIG
 * Created: 2/8-2003 (February 8, 2003)
 * Last update: 6/25-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


%module EmdrosPerl

%{
#include <iostream>
%}

/* don't tell us about changes in the first letter of constants */
#pragma SWIG nowarn=801 

/* much magic lives in here... */
%include "emdros_types.i"

%constant std::ostream * kSTDOUT = &std::cout;
%constant std::ostream * kSTDERR = &std::cerr;

%{
/* The following two, defined in Perl's embed.h, conflict with
   the STL iostream library on Linux.
 */
#undef do_open
#undef do_close
%}

%include "libemdfperl.i"
#ifdef POSTGRESQL
%include "libpgemdfperl.i"
#elif defined MYSQL
%include "libmysqlemdfperl.i"
#endif
%include "libmqlperl.i"

