/*
 * logging.h
 *
 * Crude functions for logging
 *
 * Ulrik Petersen
 * Created: 11/21-2002
 * Last update: 11/21-2002
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2002  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#ifndef _LOGGING__H__
#define _LOGGING__H__

#include <emdf.h>
#include <string>


extern void log_write(std::string function_name, std::string message);
extern void log_write_time(std::string function_name, std::string message);

#if (EMDROS_LOGGING)
#define LOG_WRITE(FN,MSG) log_write(FN,MSG)
#define LOG_WRITE_TIME(FN,MSG) log_write_time(FN,MSG)
#else
#define LOG_WRITE(FN,MSG) ;
#define LOG_WRITE_TIME(FN,MSG) ;
#endif




#endif // _LOGGING__H__
