/*
 * mql_result.h
 *
 * MQL results
 *
 * Ulrik Petersen
 * Created: 3/8-2001
 * Last update: 3/22-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/




#ifndef MQL_RESULT__H__
#define MQL_RESULT__H__

#include <table.h>

class CMQL_execution_environment; // forward declaration
class CSheaf; // forward declaration
class CEMdFOutput; // forward declaration

class CMQLResult : public CTable {
private:
  CSheaf* m_sheaf;
  bool m_bDeleteResult;
public:
#ifndef SWIG
  CMQLResult(); // For lists
  CMQLResult(CSheaf* sheaf);
  void set_delete_result(bool bDoDelete);
#endif // !defined SWIG
  ~CMQLResult();
  bool isSheaf() const;
  bool isTable() const;
  CSheaf* get_sheaf(void) { return m_sheaf; };
  CTable* get_table(void) { return this; };
  void Print(CEMdFOutput *pOut, CMQL_execution_environment *pEE) const;
  static void print_DTD(CEMdFOutput* pOut);
};


#endif /* MQL_RESULT__H__ */
