/*
 * mysqlemdfdb.h
 *
 * MySQL EMdF database base class
 *
 * Ulrik Petersen
 * Created: 1/27-2001
 * Last update: 3/19-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#ifndef MYSQLEMDFDB__H__
#define MYSQLEMDFDB__H__

#ifndef SWIG
#include <emdf.h>
#include <emdfdb.h>
#include <list>
#endif
#include <string>



class MySQLEMdFDB : public EMdFDB {
public:
  MySQLEMdFDB(std::string host, std::string user, std::string passwd, std::string database_name);
  virtual ~MySQLEMdFDB();
#ifndef SWIG
  virtual bool UseDatabase(const std::string& db_name);

private:
  // Make the assignment operator and copy constructor private
  // because they are not supported.
  MySQLEMdFDB(const MySQLEMdFDB&);
  MySQLEMdFDB& operator=(const MySQLEMdFDB&);
#endif // !defined SWIG
};






#endif // MYSQLEMDFDB__H__
