/*
 * string_func.h
 *
 * String helper functions
 *
 * Ulrik Petersen
 * Created: 3/1-2001
 * Last update: 6/20-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2002  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#ifndef STRING_FUNC__H__
#define STRING_FUNC__H__

#include <emdf.h>
#include <string>

extern void str_toupper(const std::string& in, std::string& result);
extern void str_tolower(const std::string& in, std::string& result);
extern int strcmp_nocase(const std::string& str1, const std::string& str2);
extern int strcmp_case(const std::string& str1, const std::string& str2);
extern std::string bool2string(bool b);
extern bool string2bool(const std::string& str);
extern std::string bool_alpha2string(bool b);
extern bool string2bool_alpha(const std::string& str);
extern std::string int2string(int i);
extern std::string id_d2string(id_d_t i);
extern id_d_t string2id_d(const std::string& str);
extern std::string monad_m2string(monad_m m);
extern monad_m string2monad_m(const std::string& str);
extern std::string long2string(long l);
extern long string2long(const std::string& str);
extern std::string string2dbstring(const std::string& str);
extern std::string dbstring2string(const std::string& str);
extern std::string encodeSTRINGstring(const std::string& str);
extern std::string encodeASCIIstring(const std::string& str);
extern bool is_other_than_whitespace(const std::string& str);
extern bool has_double_quote(const std::string& str);

#endif // STRING_FUNC__H__
