#
# Emdros Win32 Makefile for include directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)




!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak

CPP=cl.exe
RSC=rc.exe

OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
# End Custom Macros

ALL : "$(OUTDIR)" default_password.h encryption.h pcre.h

CLEANFILES= default_password.h encryption.h create_encryption.exe pcre.h

CLEAN :
	-@erase "*.pch"
	-@erase $(CLEANFILES)


"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

#CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
# /I "..\include" /D USE_ODBC /D "NDEBUG" /D\
# "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
# /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I "..\include" /D USE_ODBC /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" \
 /Fo"$(INTDIR)\\" /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo   $(LIBFLAGS)


LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib\
 odbccp32.lib wsock32.lib /nologo /subsystem:console /incremental:no\
 /machine:I386 


".\create_encryption.exe" : "$(INTDIR)\create_encryption.obj"
    $(LINK32) @<<
  $(LINK32_FLAGS) /pdb:"$(OUTDIR)\create_encryption.pdb" /out:".\create_encryption.exe"  "$(INTDIR)\create_encryption.obj"
<<



default_password.h: default_password.template .\create_encryption.exe
	type default_password.template | .\create_encryption.exe > default_password.h

encryption.h: encryption.template .\create_encryption.exe
	type encryption.template | .\create_encryption.exe > encryption.h


pcre.h: ..\pcre\pcre.h
	copy ..\pcre\pcre.h .



    


.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
