#
# Emdros Win32 Makefile for pcre directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) libpcre_emdros.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\win32\config.mak

CPP=cl.exe
RSC=rc.exe

OUTDIR=..\win32\Release
INTDIR=..\win32\Release
# Begin Custom Macros
OutDir=..\win32\Release
# End Custom Macros

ALL : ..\include\pcre.h "$(OUTDIR)\libpcre_emdros.lib" 

CLEANFILES=chartables.c dftables.exe ..\include\pcre.h

CLEAN :
	-@erase "$(OUTDIR)\libpcre_emdros.lib"
	-@erase "*.pch"
	-@erase $(CLEANFILES)


"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

#CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
# /I "..\include" /D USE_ODBC /D "NDEBUG" /D\
# "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
# /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I "..\include" /D USE_ODBC /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" \
 /Fo"$(INTDIR)\\" /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=..\win32\Release/
CPP_SBRS=.
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo   $(LIBFLAGS)
LIBPCRE_OBJS= \
	"$(INTDIR)\maketables.obj" \
	"$(INTDIR)\get.obj" \
	"$(INTDIR)\study.obj" \
	"$(INTDIR)\pcre.obj" 


LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib\
 odbccp32.lib wsock32.lib /nologo /subsystem:console /incremental:no\
 /machine:I386 


".\dftables.exe" : "$(INTDIR)\dftables.obj"
    $(LINK32) @<<
  $(LINK32_FLAGS) /pdb:"$(OUTDIR)\dftables.pdb" /out:".\dftables.exe"  "$(INTDIR)\dftables.obj"
<<

..\include\pcre.h : pcre.h
    copy pcre.h ..\include\

"$(OUTDIR)\libpcre_emdros.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIBPCRE_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /out:"$(OUTDIR)\libpcre_emdros.lib" $(DEF_FLAGS) $(LIBPCRE_OBJS)
<<


maketables.c: chartables.c

chartables.c: .\dftables.exe
	.\dftables.exe > chartables.c



    


.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
